E-Ticaret

stock-locations

5 endpoints · /api/shop/v1/stock-locations

Request examples are generated from each endpoint's REAL method and path. 5 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.

GET/api/shop/v1/admin/stock-locations

Location list

Oturum
İstek
curl -X GET "https://{slug}.shop.blesyum.app/api/shop/v1/admin/stock-locations" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/shop/v1/admin/stock-locations

Location create

Oturum
İstek
curl -X POST "https://{slug}.shop.blesyum.app/api/shop/v1/admin/stock-locations" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
PATCH/api/shop/v1/admin/stock-locations/{id}

Location update

OturumYol parametresi: id
İstek
curl -X PATCH "https://{slug}.shop.blesyum.app/api/shop/v1/admin/stock-locations/<id>" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
DELETE/api/shop/v1/admin/stock-locations/{id}

Location delete

OturumYol parametresi: id
İstek
curl -X DELETE "https://{slug}.shop.blesyum.app/api/shop/v1/admin/stock-locations/<id>" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/shop/v1/admin/stock-locations/{id}/geo

Set geo

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.shop.blesyum.app/api/shop/v1/admin/stock-locations/<id>/geo" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
Bu sayfa işine yaradı mı?